## org.apache.lucene.queryParser.standard
Enum QueryParserWrapper.Operator

    java.lang.Object
      java.lang.Enum<QueryParserWrapper.Operator>
          org.apache.lucene.queryParser.standard.QueryParserWrapper.Operator

All Implemented Interfaces:
  Serializable, Comparable<QueryParserWrapper.Operator>

Enclosing class:
  QueryParserWrapper

    public static enum QueryParserWrapper.Operator

extends Enum<QueryParserWrapper.Operator>

The default operator for parsing queries. Use `QueryParserWrapper.setDefaultOperator(org.apache.lucene.queryParser.standard.QueryParserWrapper.Operator)` to change it.

Enum Constant Summary
`AND`
`OR`

Method Summary
`static QueryParserWrapper.Operator` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static QueryParserWrapper.Operator[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OR

    public static final QueryParserWrapper.Operator OR

### AND

    public static final QueryParserWrapper.Operator AND

Method Detail

### values

    public static final QueryParserWrapper.Operator[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QueryParserWrapper.Operator c : QueryParserWrapper.Operator.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QueryParserWrapper.Operator valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name